Estado de "Actualización disponible" en la nueva granja de SharePoint Server 2016

Síntomas

Tenga en cuenta este escenario. Está instalado SharePoint Server 2016. Ejecutar el Asistente para configuración de productos de SharePoint de 2016 para crear un nuevo conjunto de servidores. Una vez creado el conjunto de servidores, puede observar los síntomas siguientes:
  • Vaya al sitio Web de Administración Central de SharePoint de 2016. En Administración Central, siga el vínculo Administrar servidores en este conjunto de servidores . En la columna estado se muestra "Actualización disponible".
  • En Administración Central, haga clic en supervisión. a continuación, haga clic en el Estado de la base de datos de revisión. La base de datos de SharePoint_AdminContent_ < GUID > tiene el siguiente estado: "base de datos está en el intervalo de compatibilidad y se recomienda la actualización".
  • Vaya al sitio Web de Administración Central. Vaya a Administrar bases de datos de contenido. En el Web Application: selección de menú en la página Administración Central de SharePoint v4. A continuación, siga el vínculo de la base de datos de contenido de SharePoint_AdminContent_ < GUID > . El área de Versiones del esquema de base de datos incluye lo siguiente:
    Versión del esquema actual de Microsoft.Office.Project.Server.Database.Extension.Upgrade.PDEUpgradeSequence: 4.0.0.0, versión de esquema máxima: 16.1.273.0
  • En el servidor de SharePoint de 2016, ejecute el comando stsadm -o LocalUpgradeStatus devuelve resultados como los siguientes:
      <object>
        <name>SharePoint_AdminContent_GUID</name>
        <type>Microsoft.SharePoint.Administration.SPContentDatabase</type>
        <level>5</level>
    Necesita actualizar < estado > < / estado >
      </object>
  • En el servidor de SharePoint, se usa el Shell de administración de SharePoint 2016 para ejecutar:
    Get-SPFarm | Get-SPPendingUpgradeActions - recursiva

    Los resultados incluyen:
    UpgradeActions: {Microsoft.Office.Project.Server.Database.Extension.Upgrade.PD
    EUpgradeSequence, Microsoft.Office.Project.Server.Database.Ext
                     ension.Upgrade.PDEUpgraderAction_16_0_1_0, Microsoft.Office.Pr
                     oject.Server.Database.Extension.Upgrade.PDEUpgraderAction_16_1
                     _1_0, Microsoft.Office.Project.Server.Database.Extension.Upgra
                     de.PDEUpgraderAction_16_1_2_0...}
    ObjectName: SharePoint_AdminContent_ < GUID >
    ObjectType: Microsoft.SharePoint.Administration.SPContentDatabase
    ParentName: SharePoint Central Administration v4
    ParentType: Microsoft.SharePoint.Administration.SPAdministrationWebApplica
    ción
    Nivel: 5
    Estado: NeedsUpgradeBackwardsCompatible
  • ObjectType: Microsoft.SharePoint.Administration.SPContentDatabase
    ParentName: SharePoint Central Administration v4
    ParentType: Microsoft.SharePoint.Administration.SPAdministrationWebApplica
    ción
    Nivel: 5
    Estado: NeedsUpgradeBackwardsCompatible



Causa

Esto puede suceder si no dispone de algunos componentes de la base de datos se encuentran en la versión esperada cuando el Asistente para configuración de SharePoint 2016 crea la base de datos AdminContent de la Administración Central.



Solución

Para resolver este problema, utilice uno de los métodos siguientes:

1. ejecute lo siguiente en el Shell de administración de SharePoint 2016 para actualizar los componentes de la base de datos de Administración Central:
Get-SPWebApplication < URL de Administración Central > | Get-SPContentDatabase | Actualización-SPContentDatabase


2. ejecute el Asistente para configuración de productos de SharePoint de 2016 desde la línea de comandos:
PSConfig.exe - cmd upgrade - inplace b2b-wait - forzar - cmd applicationcontent-instalar - cmd installfeatures - cmd secureresources


Propiedades

Id. de artículo: 3157397 - Última revisión: 17 ene. 2017 - Revisión: 1

Comentarios